Package com.microblink.blinkid.entities.recognizers

# Enum Class Recognizer.Result.State

java.lang.Object
java.lang.Enum<Recognizer.Result.State>
com.microblink.blinkid.entities.recognizers.Recognizer.Result.State

All Implemented Interfaces:
  `Serializable`, `Comparable<Recognizer.Result.State>`, `Constable`

Enclosing class:
  Recognizer.Result

public static enum Recognizer.Result.State extends Enum<Recognizer.Result.State>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Empty`
  No information was extracted.
  `StageValid`
  All mandatory information from one side of the document was extracted.
  `Uncertain`
  Some but not all mandatory information was extracted
  `Valid`
  All mandatory information was extracted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Recognizer.Result.State`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Recognizer.Result.State[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Empty

    public static final Recognizer.Result.State Empty
    No information was extracted.

  - ### Uncertain

    public static final Recognizer.Result.State Uncertain
    Some but not all mandatory information was extracted

  - ### Valid

    public static final Recognizer.Result.State Valid
    All mandatory information was extracted.

  - ### StageValid

    public static final Recognizer.Result.State StageValid
    All mandatory information from one side of the document was extracted.

- ## Method Details

  - ### values

    public static Recognizer.Result.State[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Recognizer.Result.State valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null